# Class ContainerController

- Defined in work/deeplinks/deeplinks/imports/container-controller.ts:55

#####
Index

### Constructors

constructor

### Properties

delimiter
gql_docker_domain
handlersHash
network
runContainerHash

### Methods

_checkAndRestart
_dropContainer
_runContainer
callHandler
dropContainer
findContainer
initHandler
newContainer

## Constructors

### constructor

- new ContainerController(options?): ContainerController

- #### Parameters

  - ##### `Optional` options: ContainerControllerOptions

  #### Returns ContainerController

  - Defined in work/deeplinks/deeplinks/imports/container-controller.ts:61

## Properties

### delimiter

delimiter: string

- Defined in work/deeplinks/deeplinks/imports/container-controller.ts:58

### gql_docker_domain

gql_docker_domain: string

- Defined in work/deeplinks/deeplinks/imports/container-controller.ts:56

### handlersHash

handlersHash: {
[id: string]: Container;
} = {}

#### Type declaration

- ##### [id: string]: Container

- Defined in work/deeplinks/deeplinks/imports/container-controller.ts:60

### network

network: string

- Defined in work/deeplinks/deeplinks/imports/container-controller.ts:57

### runContainerHash

runContainerHash: {
[id: string]: Promise<any>;
} = {}

#### Type declaration

- ##### [id: string]: Promise<any>

- Defined in work/deeplinks/deeplinks/imports/container-controller.ts:59

## Methods

### _checkAndRestart

- _checkAndRestart(container): Promise<{
  error?: string;
  }>

- #### Parameters

  - ##### container: Container

  #### Returns Promise<{
  error?: string;
  }>

  - Defined in work/deeplinks/deeplinks/imports/container-controller.ts:168

### _dropContainer

- _dropContainer(containerName): Promise<string>

- #### Parameters

  - ##### containerName: string

  #### Returns Promise<string>

  - Defined in work/deeplinks/deeplinks/imports/container-controller.ts:156

### _runContainer

- _runContainer(containerName, dockerPort, options): Promise<{
  host: string;
  name: string;
  options: NewContainerOptions;
  port: number;
  } | {
  error: string;
  }>

- #### Parameters

  - ##### containerName: string

  - ##### dockerPort: number

  - ##### options: NewContainerOptions

  #### Returns Promise<{
  host: string;
  name: string;
  options: NewContainerOptions;
  port: number;
  } | {
  error: string;
  }>

  - Defined in work/deeplinks/deeplinks/imports/container-controller.ts:66

### callHandler

- callHandler(options): Promise<{
  error?: string;
  }>

- #### Parameters

  - ##### options: CallOptions

  #### Returns Promise<{
  error?: string;
  }>

  - Defined in work/deeplinks/deeplinks/imports/container-controller.ts:209

### dropContainer

- dropContainer(container): Promise<void>

- #### Parameters

  - ##### container: Container

  #### Returns Promise<void>

  - Defined in work/deeplinks/deeplinks/imports/container-controller.ts:160

### findContainer

- findContainer(containerName): Promise<Container>

- #### Parameters

  - ##### containerName: string

  #### Returns Promise<Container>

  - Defined in work/deeplinks/deeplinks/imports/container-controller.ts:151

### initHandler

- initHandler(container): Promise<{
  error?: string;
  }>

- #### Parameters

  - ##### container: Container

  #### Returns Promise<{
  error?: string;
  }>

  - Defined in work/deeplinks/deeplinks/imports/container-controller.ts:189

### newContainer

- newContainer(options): Promise<Container>

- #### Parameters

  - ##### options: NewContainerOptions

  #### Returns Promise<Container>

  - Defined in work/deeplinks/deeplinks/imports/container-controller.ts:118

Generated using TypeDoc